Update Service Request: ResMan
https://api.propexo.com/v1/service-requests/resman/:service_request_id| Interface | Method |
|---|---|
| Work Orders | /WorkOrders/PostWorkOrders |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
The Propexo unique identifier for the service request category
The Propexo unique identifier for the unit
The date the service request was created
A description of the service request
The name of the person who reported this service request
The due date associated with the service request
The status associated with the service request
Show 8 enum values
SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn HoldThe date the service request was completed
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the service request
The Propexo unique identifier for the service request category
The Propexo unique identifier for the unit
The date the service request was created
A description of the service request
The name of the person who reported this service request
The due date associated with the service request
The status associated with the service request
Show 8 enum values
SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn HoldThe date the service request was completed
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/service-requests/resman/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_request_category_id": "string",
"unit_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"status_raw": "Submitted",
"date_completed": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"service_request_category_id": "string",
"unit_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"status_raw": "Submitted",
"date_completed": "2024-07-29T15:51:28.071Z"
}
}